#!D:/IDE/anaconda3/envs/Microscope_Scan python
# -*- coding: UTF-8 -*-
"""
@FileName：ClearPreviewBusiness.py
@Description：
@Author：XSH
@Time：2025/12/2 17:46
@Department：研发部
@Copyright：©2025 乐辰生物
"""
from PyQt5 import Qt
from abc import abstractmethod, abstractclassmethod, abstractstaticmethod
from AppInterfaces.utils                    import *
from AppSettings.utils                      import *
from AppCore.Requests                       import *
from AppInterfaces.Interfaces               import *
from AppCore.Levels                         import *
from AppUtils.utils                         import *
from AppBackEnd.WebBusinessInterface import WebBusinessInterface


class ClearPreviewBusiness(Qt.QObject, WebBusinessInterface):
    def __init__(self, manager: WebReaderInterface = None, parent: Qt.QObject = None):
        super(ClearPreviewBusiness, self).__init__(parent=parent)
        self.Manager = manager
        self.Initialization("ClearPreviewBusiness", self, parent)

    def initWEBAPILevel(self):
        self.Level = WebAPILevel.clearPreview

    def Done(self, handler: WebClientInterface, **args):
        isWrong: int = RECODE_FAILURE
        try:
            self.Handler = handler
            request = Request.APIInstance(self.Level)
            isWrong = self.WebSendFrame(request.toJson())
        except Exception as e:

            AppUtils.print_Exception(e)
        return
    def WaitDone(self, handler: WebClientInterface, **args) -> int:
        isWrong: int = RECODE_FAILURE
        try:
            self.Handler = handler
            request = Request.APIInstance(self.Level)
            isWrong = self.WebSendFrame(request.toJson())

        except Exception as e:

            AppUtils.print_Exception(e)
        return isWrong



















